/*
 * $Id$
 * Author: Karoly Bosa
 *
 * (C) 2008 by Research Institute for Symbolic Computation, Linz, Austria
 * All rights reserved. See COPYRIGHT in top-level directory.
 */

#ifndef TAAG_XML_H_
#define TAAG_XML_H_

#define TAAG_XML_ROOT		"mapping"
#define TAAG_XML_APP_NAME	"executable"
#define TAAG_XML_APP_ID		"applicationId"
#define TAAG_XML_TIME_STAMP  "timeStamp"

#define TAAG_XML_GRAPH		"graph"
#define TAAG_XML_GRAPH_TYPE	"type"
//#define TAAG_XML_NR_PROCS	"nrOfProcesses" 	//Obsolete
//#define TAAG_XML_NR_GROUPS	"nrOfGroups"	//Obsolete
//#define TAAG_XML_NR_EDGES	"nrOfEdges"			//Obsolete

#define TAAG_XML_GROUP		"group"
#define TAAG_XML_G_PROCS	"process"
//end of TAAG_XML_GROUP

#define TAAG_XML_EDGE		"edge"
//end of TAAG_XML_GRAPH

#define TAAG_XML_TOPOLOGY	"topology"
//#define TAAG_XML_NR_LANS	"nrOfLans"			//Obsolete
//#define TAAG_XML_NR_HOSTS	"nrOfHosts"			//Obsolete

#define TAAG_XML_LAN		"lan"
#define TAAG_XML_HOST		"host"
#define TAAG_XML_H_NAME		"hostname"
#define TAAG_XML_H_CPUS		"CPUs"
#define TAAG_XML_DIRECTORY  "directory"
#define TAAG_XML_H_PROCS	"process"
//end of TAAG_XML_HOST
//end of TAAG_XML_LAN

#define TAAG_XML_LATENCY	"latency"
//end of TAAG_XML_TOPOLOGY

//innermost xml tags
#define TAAG_XML_INT_VALUE		"integer"
#define TAAG_XML_DOUBLE_VALUE	"double"
#define TAAG_XML_STRING_VALUE	"string"

//xml attributes
#define TAAG_XML_ATTR_ID		"id" //just for readability; it isn't used by the parser
#define TAAG_XML_ATTR_ROW		"row" //just for readability; it isn't used by the parser
#define TAAG_XML_ATTR_COLUMN	"column" //just for readability; it isn't used by the parser
#define TAAG_XML_ATTR_FIRST_END	"oneEndPoint"
#define TAAG_XML_ATTR_OTHER_END "otherEndPoint"

//end of TAAG_XML_ROOT

#endif /* TAAG_XML_H_ */
