/*
 * $Id$
 * Author: Karoly Bosa
 *
 * (C) 2010 by Research Institute for Symbolic Computation, Linz, Austria
 * All rights reserved. See COPYRIGHT in top-level directory.
 */

#ifndef LATENCYVALUE_H_
#define LATENCYVALUE_H_

class LatencyValue {
	private :
		double value1to2;
		double value2to1;
		int hostId1;
		int hostId2;
		int latencyLevel;
		bool occupied;
	public :
		LatencyValue();
		virtual ~LatencyValue();
		void initValues(double _value1to2, double _value2to1, int _hostId1, int _hostId2);
		double getValue();
		double getValueSmaller();
		int getHostId1();
		int getHostId2();
		void setLatencyLevel(int level);
		int getLatencyLevel();
		void setOccupied();
		bool isOccupied();
};

#endif /* LATENCYVALUE_H_ */
